package edu.travel.commodity.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.math.BigDecimal;
import java.util.Date;

import edu.travel.entity.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 商品SKU表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "shop_product_sku")
public class ShopProductSku extends BaseEntity {
    /**
     * 商品SKU表ID
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * SKU
     */
    @TableField(value = "sku_id")
    private Long skuId;

    /**
     * 商品ID
     */
    @TableField(value = "product_id")
    private Long productId;

    /**
     * 库房ID
     */
    @TableField(value = "warehouse_id")
    private Long warehouseId;

    /**
     * 冻结数量
     */
    @TableField(value = "`freeze`")
    private Integer freeze;

    /**
     * 库存
     */
    @TableField(value = "inventory")
    private Integer inventory;

    /**
     * 0 上架 1 下架
     */
    @TableField(value = "`status`")
    private Integer status;

    /**
     * 价格
     */
    @TableField(value = "price")
    private BigDecimal price;


}